-- 对比方案建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_DATACOMPARE_PLAN')
CREATE TABLE T_RICC_DATACOMPARE_PLAN (
 FID BIGINT NOT NULL DEFAULT 0,
 FNUMBER VARCHAR(50) NOT NULL DEFAULT ' ',
 FNAME NVARCHAR(50) NOT NULL DEFAULT ' ',
 FSTATUS CHAR(1) NOT NULL DEFAULT 'C',
 FCREATORID BIGINT NOT NULL DEFAULT 0,
 FMODIFIERID BIGINT NOT NULL DEFAULT 0,
 FENABLE CHAR(1) NOT NULL DEFAULT '1',
 FCREATETIME DATETIME,
 FMODIFYTIME DATETIME,
 FMASTERID BIGINT NOT NULL DEFAULT 0,
 FREMARK NVARCHAR(500) NOT NULL DEFAULT ' ',
 FCONFIGITEM BIGINT NOT NULL DEFAULT 0,
 FTARGETDATACENTER BIGINT NOT NULL DEFAULT 0,
 FTARGETDATACENTERUSER VARCHAR(50) NOT NULL DEFAULT ' ',
 FKEYFIELDS NVARCHAR(200) NOT NULL DEFAULT ' ',
 FISIGNOREKEY CHAR(1) NOT NULL DEFAULT '1',
 FFILTERCONDITIONSTORE NVARCHAR(255) NOT NULL DEFAULT ' ',
 FFILTERCONDITIONSTORE_TAG NCLOB NOT NULL DEFAULT ' ',
 FFILTERCONDITION NVARCHAR(2000) NOT NULL DEFAULT ' ',
 FDATASELECTWAY CHAR(1) NOT NULL DEFAULT 'A',
 FMANUALSELCONDITION NVARCHAR(50) NOT NULL DEFAULT ' ',
 FISIGNORECREATEINFO CHAR(1) NOT NULL DEFAULT '1',
 FISIGNOREMULTILINGUAL CHAR(1) NOT NULL DEFAULT '1',
 FISIGNOREBDID CHAR(1) NOT NULL DEFAULT '1',
 FBATCHCOUNT BIGINT NOT NULL DEFAULT 500,
 FMANUALSELECTDATA NVARCHAR(255) NOT NULL DEFAULT ' ',
 FMANUALSELECTDATA_TAG NCLOB NOT NULL DEFAULT ' '
);


-- 对比方案多语言建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_DATACOMPARE_PLAN_L') 
CREATE TABLE T_RICC_DATACOMPARE_PLAN_L (
 FPKID VARCHAR(36) NOT NULL DEFAULT ' ',
 FID BIGINT NOT NULL DEFAULT 0,
 FLOCALEID VARCHAR(10) NOT NULL DEFAULT ' ',
 FNAME NVARCHAR(50) NOT NULL DEFAULT ' '
);

-- 对比报告建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_DATACOMPARE_RPT')
CREATE TABLE T_RICC_DATACOMPARE_RPT (
 FID BIGINT NOT NULL DEFAULT 0,
 FBILLNO VARCHAR(50) NOT NULL DEFAULT ' ',
 FBILLSTATUS VARCHAR(50) NOT NULL DEFAULT ' ',
 FCREATORID BIGINT NOT NULL DEFAULT 0,
 FMODIFIERID BIGINT NOT NULL DEFAULT 0,
 FAUDITORID BIGINT NOT NULL DEFAULT 0,
 FAUDITDATE DATETIME,
 FMODIFYTIME DATETIME,
 FCREATETIME DATETIME,
 FTARGETDATACENTER BIGINT NOT NULL DEFAULT 0,
 FCOMPARERESULT CHAR(1) NOT NULL DEFAULT ' ',
 FCOMPARETIME NVARCHAR(50) NOT NULL DEFAULT ' ',
 FCONFIGITEM BIGINT NOT NULL DEFAULT 0,
 FSTARTTIME DATETIME,
 FENDTIME DATETIME,
 FCURRENTCOUNT BIGINT NOT NULL DEFAULT 0,
 FDIFFERENTCOUNT BIGINT NOT NULL DEFAULT 0,
 FIGNORECOUNT BIGINT NOT NULL DEFAULT 0,
 FDATACOMPAREPLAN BIGINT NOT NULL DEFAULT 0,
 FISIGNORECREATEINFO CHAR(1) NOT NULL DEFAULT ' ',
 FISIGNOREKEY CHAR(1) NOT NULL DEFAULT ' ',
 FKEYFIELDS NVARCHAR(200) NOT NULL DEFAULT ' ',
 FISIGNOREBDID CHAR(1) NOT NULL DEFAULT ' ',
 FISIGNOREMULTILINGUAL CHAR(1) NOT NULL DEFAULT ' ',
 FCOMPARESTATUS CHAR(1) NOT NULL DEFAULT ' ',
 FCOMPAREPROGRESS VARCHAR(50) NOT NULL DEFAULT ' ',
 FTARGETDATACENTERUSER VARCHAR(50) NOT NULL DEFAULT ' ',
 FBATCHCOUNT BIGINT NOT NULL DEFAULT 500,
 FTARGETCOUNT BIGINT NOT NULL DEFAULT 0,
 FTRACEID VARCHAR(50) NOT NULL DEFAULT ' ',
 FTASKID VARCHAR(50) NOT NULL DEFAULT ' ',
 FERRORMESSAGE NVARCHAR (500) NOT NULL DEFAULT ' ' ,
 FERRORMESSAGE_TAG NCLOB NOT NULL DEFAULT ' '
);

-- 对比报告单据体：数据行对比信息 建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_DATACOMPARE_ENTRY')
CREATE TABLE T_RICC_DATACOMPARE_ENTRY (
 FID BIGINT NOT NULL DEFAULT 0,
 FENTRYID BIGINT NOT NULL DEFAULT 0,
 FSEQ BIGINT NOT NULL DEFAULT 0,
 FCURDATAID VARCHAR(50) NOT NULL DEFAULT ' ',
 FCURDATANUMBER VARCHAR(50) NOT NULL DEFAULT ' ',
 FSUGGESTMETHOD NVARCHAR(100) NOT NULL DEFAULT ' ',
 FENTRYRESULT CHAR(1) NOT NULL DEFAULT ' ',
 FTARDATAID VARCHAR(50) NOT NULL DEFAULT ' ',
 FTARDATANUMBER VARCHAR(50) NOT NULL DEFAULT ' ',
 FCURDATANAME NVARCHAR(50) NOT NULL DEFAULT ' ',
 FTARDATANAME NVARCHAR(50) NOT NULL DEFAULT ' '
);

-- 对比报告子单据体：数据对比字段详情 建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_DATACOMPARE_SENTRY')
CREATE TABLE T_RICC_DATACOMPARE_SENTRY (
 FENTRYID BIGINT NOT NULL DEFAULT 0,
 FDETAILID BIGINT NOT NULL DEFAULT 0,
 FSEQ BIGINT NOT NULL DEFAULT 0,
 FFIELDNAME NVARCHAR(50) NOT NULL DEFAULT ' ',
 FFIELDKEY VARCHAR(50) NOT NULL DEFAULT ' ',
 FCURRENTVALUE NVARCHAR(200) NOT NULL DEFAULT ' ',
 FTARGETVALUE NVARCHAR(200) NOT NULL DEFAULT ' ',
 FDIFFERENTTYPE CHAR(1) NOT NULL DEFAULT ' '
);